petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetCoarsenLevel

Get's the number of coarsenings that have generated this DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMGetCoarsenLevel(DM dm,PetscInt *level)

Not Collective

### Input Parameter

dm -the DM object

### Output Parameter

level -number of coarsenings

### See Also

DMCoarsen(), DMGetRefineLevel(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages